--- libLAS-1.8.1/include/liblas/detail/binary.hpp	2023-09-12 20:29:39.818007269 +0900
+++ libLAS-1.8.1-fix/include/liblas/detail/binary.hpp	2023-09-12 20:29:30.564674521 +0900
@@ -25,7 +25,7 @@
 
 #include <boost/config.hpp>
 #include <boost/static_assert.hpp>
-#include <boost/detail/endian.hpp>
+#include <boost/predef/other/endian.h>
 #include <boost/type_traits/is_signed.hpp>
 
 #if CHAR_BIT != 8
--- libLAS-1.8.1/src/header.cpp	2023-09-12 20:29:39.174673976 +0900
+++ libLAS-1.8.1-fix/src/header.cpp	2023-09-12 20:42:24.111292237 +0900
@@ -54,6 +54,7 @@
 // boost
 #include <boost/cstdint.hpp>
 #include <boost/lambda/lambda.hpp>
+#include <boost/bind/placeholders.hpp>
 
 //std
 #include <algorithm>
@@ -610,7 +608,7 @@
 
     m_vlrs.erase( std::remove_if( m_vlrs.begin(),
                                   m_vlrs.end(),
-                                  boost::bind( &SameVLRs, name, id, _1 ) ),
+                                  boost::bind( &SameVLRs, name, id, boost::placeholders::_1 ) ),
                   m_vlrs.end());
 
     m_recordsCount = static_cast<uint32_t>(m_vlrs.size());
